Print template management for receipts and tickets
Save location print settings
Create or update print settings for a location
path Parameters
locationIdSave location print settings › Request Body
fontSizefontFamilylineSpacinglogoUrlheaderTextfooterTextshowLogoprintQrCodeprintVatBreakdownkitchenTicketBeeplanguageSave location print settings › Responses
Default Response
statusSave location template override
Create or update a template override for a location
path Parameters
locationIdtemplateTypeSave location template override › Request Body
overrideScopeSave location template override › Responses
Default Response
statusList print templates
Get a list of all print templates with optional filtering
query Parameters
typeFilter by template type
isActiveFilter by active status
isSystemFilter by system template status
limitoffsetList print templates › Responses
Default Response
statusCreate print template
Create a new custom print template
Create print template › Request Body
typenamedescriptionCreate print template › Responses
Default Response
statusUpdate print template
Update an existing custom print template (system templates cannot be modified)
path Parameters
idUpdate print template › Request Body
namedescriptionisActiveUpdate print template › Responses
Default Response
statusUpdate location template override
Update an existing template override
path Parameters
idUpdate location template override › Request Body
overrideScopeisActiveUpdate location template override › Responses
Default Response
statusWebhook: Print template created
Fired when a new print template is created. Full template fields are emitted.
This is an outbound webhook event. Karma POSTs this payload to the URL you registered via POST /api/v1/webhooks/subscriptions. Your endpoint should respond 2xx within 30 seconds to acknowledge delivery.
Webhook: Print template created › Request Body
idUnique webhook delivery ID
eventresourceresourceIdString ID of the affected resource
timestampISO 8601 timestamp when the event was emitted
apiVersionWebhook: Print template created › Responses
Acknowledged. Karma considers any 2xx response a successful delivery; non-2xx triggers retry with exponential backoff.
Webhook: Print template updated
Updated fields are emitted.
This is an outbound webhook event. Karma POSTs this payload to the URL you registered via POST /api/v1/webhooks/subscriptions. Your endpoint should respond 2xx within 30 seconds to acknowledge delivery.
Webhook: Print template updated › Request Body
idUnique webhook delivery ID
eventresourceresourceIdString ID of the affected resource
timestampISO 8601 timestamp when the event was emitted
apiVersionPartial object — only fields that changed are included. Merge with previously cached template.
Webhook: Print template updated › Responses
Acknowledged. Karma considers any 2xx response a successful delivery; non-2xx triggers retry with exponential backoff.
Webhook: Print template deleted
Minimal payload — just the template ID.
This is an outbound webhook event. Karma POSTs this payload to the URL you registered via POST /api/v1/webhooks/subscriptions. Your endpoint should respond 2xx within 30 seconds to acknowledge delivery.
Webhook: Print template deleted › Request Body
idUnique webhook delivery ID
eventresourceresourceIdString ID of the affected resource
timestampISO 8601 timestamp when the event was emitted
apiVersionWebhook: Print template deleted › Responses
Acknowledged. Karma considers any 2xx response a successful delivery; non-2xx triggers retry with exponential backoff.
Webhook: Location print settings updated
Fired when a location's print settings are changed.
This is an outbound webhook event. Karma POSTs this payload to the URL you registered via POST /api/v1/webhooks/subscriptions. Your endpoint should respond 2xx within 30 seconds to acknowledge delivery.
Webhook: Location print settings updated › Request Body
idUnique webhook delivery ID
eventresourceresourceIdString ID of the affected resource
timestampISO 8601 timestamp when the event was emitted
apiVersionWebhook: Location print settings updated › Responses
Acknowledged. Karma considers any 2xx response a successful delivery; non-2xx triggers retry with exponential backoff.
Webhook: Location template override updated
Fired when a location-specific template override is changed.
This is an outbound webhook event. Karma POSTs this payload to the URL you registered via POST /api/v1/webhooks/subscriptions. Your endpoint should respond 2xx within 30 seconds to acknowledge delivery.
Webhook: Location template override updated › Request Body
idUnique webhook delivery ID
eventresourceresourceIdString ID of the affected resource
timestampISO 8601 timestamp when the event was emitted
apiVersionPartial object — only fields that changed are included.
Webhook: Location template override updated › Responses
Acknowledged. Karma considers any 2xx response a successful delivery; non-2xx triggers retry with exponential backoff.